Skip to main content
`Ctrl`+`K`

# TaoTermDuplicate

Duplicate a `TaoTerm`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermDuplicate(TaoTerm term, TaoTermDuplicateOption opt, TaoTerm *newterm)

Collective

## Input Parameters

- term - a `TaoTerm`

- opt - `TAOTERM_DUPLICATE_SIZEONLY` or `TAOTERM_DUPLICATE_TYPE`

## Output Parameter

- newterm - the duplicate `TaoTerm`

## Notes

This function duplicates the solution space layout and vector type, but does not duplicate parameters-related configuration such as the parameters layout, `TaoTermParametersMode`, Hessian matrix types, or finite-difference settings. These must be set separately on the new `TaoTerm` if needed.

If `TAOTERM_DUPLICATE_SIZEONLY` is used, then the duplicated term must have proper `TaoTermType` set with `TaoTermSetType()`.

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermDuplicateOption`

## Level

intermediate

## Location

src/tao/term/interface/taoterm.c

## Examples

src/tao/term/tutorials/ex1.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages